> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch an ACH Configuration



## OpenAPI

````yaml api-reference/openapi-account.json GET /ach_config/{id}
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account
  version: 1.18.860-g0b698b02
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /ach_config/{id}:
    get:
      summary: get ach_config
      parameters:
        - description: Unique identifier for object
          in: path
          name: id
          required: true
          schema:
            description: Unique identifier for object
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    account_id: acct_291u96075mva
                    daily_credit_limit: '25000.00'
                    daily_debit_limit: '25000.00'
                    id: achconf_3k9p2wd6rn4x
                    inach_return_codes_business:
                      - R29
                    inach_return_codes_consumer:
                      - R10
                      - R11
                    lock_blocks_credit: true
                    locked_credit_return_code: R16
                    return_allowed_days: '2'
                    sameday_max_amount: '1000000.00'
                    sec_codes_allowed:
                      - CCD
                      - PPD
                      - WEB
                    total_credit_limit: '100000.00'
                    total_debit_limit: '100000.00'
                    transaction_credit_limit: '10000.00'
                    transaction_debit_limit: '10000.00'
              schema:
                properties:
                  account_id:
                    description: >-
                      Specific account ID that the config applies to.
                      Filterable.
                    type: string
                  daily_credit_limit:
                    description: The 24 hour rolling credit limit for an account.
                    pattern: ^-?[0-9]+[.][0-9][0-9]$
                    type: string
                  daily_debit_limit:
                    description: The 24 hour rolling debit limit for an account.
                    pattern: ^-?[0-9]+[.][0-9][0-9]$
                    type: string
                  id:
                    description: Unique identifier for object
                    type: string
                  inach_return_codes_business:
                    description: >-
                      Return codes allowed for incoming ACHs to business
                      accounts
                    items:
                      type: string
                    type: array
                  inach_return_codes_consumer:
                    description: >-
                      Return codes allowed for incoming ACHs to consumer
                      accounts
                    items:
                      type: string
                    type: array
                  lock_blocks_credit:
                    description: >-
                      Whether an incoming ACH credit is returned for a locked
                      account
                    type: boolean
                  locked_credit_return_code:
                    description: >-
                      ACH return code used to return incoming credits when the
                      account is locked
                    type: string
                  return_allowed_days:
                    description: >-
                      Number of business days after the effective date that an
                      incoming ACH can be returned
                    type: string
                  sameday_max_amount:
                    description: Max amount that can be sent for sameday ACHs
                    pattern: ^-?[0-9]+[.][0-9][0-9]$
                    type: string
                  sec_codes_allowed:
                    description: List of allowed SEC codes for originating ACHs.
                    items:
                      type: string
                    type: array
                  total_credit_limit:
                    description: >-
                      The 24 hour rolling credit limit for a bank + org pair.
                      This limit cannot be exceeded
                    pattern: ^-?[0-9]+[.][0-9][0-9]$
                    type: string
                  total_debit_limit:
                    description: >-
                      The 24 hour rolling debit limit for a bank + org pair.
                      This limit cannot be exceeeded
                    pattern: ^-?[0-9]+[.][0-9][0-9]$
                    type: string
                  transaction_credit_limit:
                    description: >-
                      The individual transaction credit limit for an org or
                      account.
                    pattern: ^-?[0-9]+[.][0-9][0-9]$
                    type: string
                  transaction_debit_limit:
                    description: >-
                      The individual transaction debit limit for an org or
                      account.
                    pattern: ^-?[0-9]+[.][0-9][0-9]$
                    type: string
          description: The ach_config
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````